1. Build Environment
   - arch: amd64
   - os: ubuntu-2004
   - sw: bash, yum, rpm, build-essential, docker, rpmbuild, etc.
   - net: accessable to the public network
   - account: root
   - others: docker image of "amd64/centos:8"

   Note: if proxy needed to access the public network, set the proxy rightly
   on the host build env., and export the http_proxy and https_proxy at the
   beginning of the "scripts/libs-build.sh" file.

2. How-to-use
   - change to be the root user
   - build centos-8 guest-image with lib.s unpatched with the cmd.:
   "/bin/bash buildGuestImageCentOS.sh \
   -v 3105 \
   -d centos-8 \
   -i ~/isos/CentOS-8.5.2111-x86_64-dvd1.iso \
   -m no"

   Note: for the version number, it should be same with the other exagear
   package, such as exagear-core-x32a64, exagear-integration, and so on.

   - build centos-8 guest-image with lib.s patched with the cmd.:
   "/bin/bash buildGuestImageCentOS.sh \
   -v 3105 \
   -d centos-8 \
   -i ~/isos/CentOS-8.5.2111-x86_64-dvd1.iso \
   -m yes \
   -u http://mirrors.aliyun.com/ \
   -p ~/huawei-diy/centos-8.5.2111/patches"

   Note:
   - for the version option, the version number should be same with the other exagear
   package, such as exagear-core-x32a64, exagear-integration, and so on;
   - for the url-repos option, only "http://mirrors.aliyun.com/" and 
   "http://mirrors.huaweicloud.com/" are tested, and use http protocal rather than https.
