#!/bin/bash
# Copyright (c) 2019 Huawei Technologies Co., Ltd. All rights reserved.

# Check if VA_BITS is 49-bit in length (or possible more)
addr=$(cat /proc/self/maps | grep "\[stack\]" | awk '{print $1}' | cut -d'-' -f1 -)
bit=$(( 0x${addr} >> 47 ))
exit $(( ${bit} > 0 ))
